import { Cell, Header, HeaderGroup, Row, Table } from '@tanstack/react-table';
import { ComponentType, CSSProperties, PropsWithChildren } from 'react';
export declare type DataGridHeaderWrapperProps<TData> = PropsWithChildren<{
    table: Table<TData>;
    className: string;
    role: 'rowgroup';
}>;
export declare type DataGridHeaderRowProps<TData> = PropsWithChildren<{
    table: Table<TData>;
    headerGroup: HeaderGroup<TData>;
    className: string;
    role: 'row';
}>;
export declare type DataGridHeaderCellProps<TData> = PropsWithChildren<{
    table: Table<TData>;
    header: Header<TData, unknown>;
    className: string;
    style: CSSProperties;
    colSpan: number;
    role: 'columnheader';
}>;
export declare type DataGridBodyWrapperProps<TData> = PropsWithChildren<{
    table: Table<TData>;
    className: string;
    role: 'rowgroup';
}>;
export declare type DataGridBodyRowProps<TData> = PropsWithChildren<{
    table: Table<TData>;
    row: Row<TData>;
    className: string;
    role: 'row';
}>;
export declare type DataGridBodyCellProps<TData> = PropsWithChildren<{
    table: Table<TData>;
    cell: Cell<TData, unknown>;
    className: string;
    style: CSSProperties;
    role: 'cell';
}>;
export declare const DefaultHeaderWrapper: ComponentType<DataGridHeaderWrapperProps<any>>;
export declare const DefaultHeaderRow: ComponentType<DataGridHeaderRowProps<any>>;
export declare const DefaultHeaderCell: ComponentType<DataGridHeaderCellProps<any>>;
export declare const DefaultBodyWrapper: ComponentType<DataGridBodyWrapperProps<any>>;
export declare const DefaultBodyRow: ComponentType<DataGridBodyRowProps<any>>;
export declare const DefaultBodyCell: ComponentType<DataGridBodyCellProps<any>>;
