import { DataGridFilterFn, DataGridFilterOperator, DataGridFilterState } from './types';
export declare type OperatorFilterOptions<TRowValue, TFilterValue> = {
    title?: string;
    placeholder?: string;
    init: (op: string, last?: TFilterValue) => TFilterValue;
    operators: DataGridFilterOperator<TRowValue, TFilterValue>[];
};
/**
 * create a DataGrid filter function with multiple operators
 * @param {OperatorFilterOptions} options Filter options with operators
 * @returns DataGrid filter function
 */
export declare function createOperatorFilter<TRowValue, TFilterValue>({ title, placeholder, init, operators, }: OperatorFilterOptions<TRowValue, TFilterValue>): DataGridFilterFn<any, DataGridFilterState<TFilterValue>>;
