import { Dayjs } from 'dayjs';
import { OperatorFilterOptions } from './createOperatorFilter';
import { DataGridFilterInput, DataGridFilterOperator } from './types';
declare type DateValue = string | null | [string | null, string | null];
export declare function createDateFilterInput(withTime?: boolean): DataGridFilterInput<DateValue>;
export declare const dateOperators: {
    equals: (label?: string, withTime?: boolean) => DataGridFilterOperator<string | Date | Dayjs, DateValue>;
    notEquals: (label?: string, withTime?: boolean) => DataGridFilterOperator<string | Date | Dayjs, DateValue>;
    greaterThan: (label?: string, withTime?: boolean) => DataGridFilterOperator<string | Date | Dayjs, DateValue>;
    greaterThanOrEquals: (label?: string, withTime?: boolean) => DataGridFilterOperator<string | Date | Dayjs, DateValue>;
    lowerThan: (label?: string, withTime?: boolean) => DataGridFilterOperator<string | Date | Dayjs, DateValue>;
    lowerThanOrEquals: (label?: string, withTime?: boolean) => DataGridFilterOperator<string | Date | Dayjs, DateValue>;
    range: (label?: string, withTime?: boolean) => DataGridFilterOperator<string | Date | Dayjs, DateValue>;
};
export declare const initDateFilterValue: (op: string, last?: DateValue) => DateValue;
export declare function createDateFilter(options?: Partial<OperatorFilterOptions<string | Date | Dayjs, DateValue>>): import("./types").DataGridFilterFn<any, import("./types").DataGridFilterState<DateValue>>;
export declare const dateFilterFn: import("./types").DataGridFilterFn<any, import("./types").DataGridFilterState<DateValue>>;
export {};
