import { OperatorFilterOptions } from './createOperatorFilter';
import { DataGridFilterInput, DataGridFilterOperator } from './types';
declare type NumberFilterValue = number | [number, number];
export declare const NumberFilterInput: DataGridFilterInput<NumberFilterValue>;
export declare const numberOperators: {
    equals: (label?: string) => DataGridFilterOperator<number, NumberFilterValue>;
    notEquals: (label?: string) => DataGridFilterOperator<number, NumberFilterValue>;
    greaterThan: (label?: string) => DataGridFilterOperator<number, NumberFilterValue>;
    greaterThanOrEquals: (label?: string) => DataGridFilterOperator<number, NumberFilterValue>;
    lowerThan: (label?: string) => DataGridFilterOperator<number, NumberFilterValue>;
    lowerThanOrEquals: (label?: string) => DataGridFilterOperator<number, NumberFilterValue>;
    between: (label?: string) => DataGridFilterOperator<number, NumberFilterValue>;
    betweenOrEquals: (label?: string) => DataGridFilterOperator<number, NumberFilterValue>;
    notBetween: (label?: string) => DataGridFilterOperator<number, NumberFilterValue>;
    notBetweenOrEquals: (label?: string) => DataGridFilterOperator<number, NumberFilterValue>;
};
export declare const initNumberFilterValue: (op: string, last?: NumberFilterValue) => NumberFilterValue;
export declare function createNumberFilter(options?: Partial<OperatorFilterOptions<number, NumberFilterValue>>): import("./types").DataGridFilterFn<any, import("./types").DataGridFilterState<NumberFilterValue>>;
export declare const numberFilterFn: import("./types").DataGridFilterFn<any, import("./types").DataGridFilterState<NumberFilterValue>>;
export {};
